Ferris to Discontinue Support for Windows XP and Mac OS X 10.5
On June 9, 2014 Ferris will end support to users of Windows XP and OS X 10.5. Due to the discontinued support by their manufacturers, these operating systems have become more vulnerable to security issues, viruses, and other threats. In order to protect Ferris against these potential threats, users of these operating systems will no longer be able to access the Ferris network after June 9, 2014. Current users of Windows XP or OS X 10.5 are encouraged to update their operating systems to a more recent version.